- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgTerrain::DataSet::SourceData Struct Reference

Inheritance diagram for osgTerrain::DataSet::SourceData:

[legend]
List of all members.

## Public Types
typedef std::map< const osg::CoordinateSystemNode *, SpatialProperties > | SpatialPropertiesMap
## Public Member Functions
| SourceData (Source *source=0)
virtual | ~SourceData ()
osg::BoundingBox | getExtents (const osg::CoordinateSystemNode *cs) const
const SpatialProperties & | computeSpatialProperties (const osg::CoordinateSystemNode *cs) const
bool | intersects (const SpatialProperties &sp) const
void | read (DestinationData &destination)
void | readImage (DestinationData &destination)
void | readHeightField (DestinationData &destination)
void | readModels (DestinationData &destination)
## Static Public Member Functions
static SourceData * | readData (Source *source)
## Public Attributes
Source * | _source
bool | _hasGCPs
osg::ref_ptr< osg::Node > | _model
GDALDataset * | _gdalDataSet
SpatialPropertiesMap | _spatialPropertiesMap

## Member Typedef Documentation

typedef std::map<const osg::CoordinateSystemNode*,SpatialProperties> osgTerrain::DataSet::SourceData::SpatialPropertiesMap

## Constructor & Destructor Documentation

osgTerrain::DataSet::SourceData::SourceData | ( | Source * | source = `0` | ) | `[inline]`

DataSet::SourceData::~SourceData | ( |  | ) | `[virtual]`

## Member Function Documentation

const DataSet::SpatialProperties & DataSet::SourceData::computeSpatialProperties | ( | const osg::CoordinateSystemNode * | cs | ) | const

osg::BoundingBox DataSet::SourceData::getExtents | ( | const osg::CoordinateSystemNode * | cs | ) | const

bool DataSet::SourceData::intersects | ( | const SpatialProperties & | sp | ) | const

void DataSet::SourceData::read | ( | DestinationData & | destination | ) |

DataSet::SourceData * DataSet::SourceData::readData | ( | Source * | source | ) | `[static]`

void DataSet::SourceData::readHeightField | ( | DestinationData & | destination | ) |

void DataSet::SourceData::readImage | ( | DestinationData & | destination | ) |

void DataSet::SourceData::readModels | ( | DestinationData & | destination | ) |

## Member Data Documentation

GDALDataset* osgTerrain::DataSet::SourceData::_gdalDataSet

bool osgTerrain::DataSet::SourceData::_hasGCPs

osg::ref_ptr<osg::Node> osgTerrain::DataSet::SourceData::_model

Source* osgTerrain::DataSet::SourceData::_source

SpatialPropertiesMap osgTerrain::DataSet::SourceData::_spatialPropertiesMap`[mutable]`

The documentation for this struct was generated from the following files:

- DataSet
- DataSet.cpp